Skip to main content
`Ctrl`+`K`

# MatFDColoringGetPerturbedColumns

Returns the indices of the columns that that are currently being perturbed.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringGetPerturbedColumns(MatFDColoring coloring, PetscInt *n, const PetscInt *cols[])

Not Collective

## Input Parameter

- coloring - coloring context created with `MatFDColoringCreate()`

## Output Parameters

- n - the number of local columns being perturbed

- cols - the column indices, in global numbering

## Note

IF the matrix type is `MATBAIJ`, then the block column indices are returned

## Fortran Note

      PetscInt, pointer :: cols(:)

Use `PETSC_NULL_INTEGER` if `n` is not needed

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`, `MatFDColoringDestroy()`, `MatFDColoringView()`, `MatFDColoringApply()`

## Level

advanced

## Location

src/mat/matfd/fdmatrix.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages